Skip to main content
`Ctrl`+`K`

# numpy.char.isdigit

char.isdigit(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'isdigit'>

  Returns true for each element if all characters in the string are digits and there is at least one character, false otherwise.

  For byte strings, digits are the byte values in the sequence b’0123456789’. For Unicode strings, digits include decimal characters and digits that need special handling, such as the compatibility superscript digits. This also covers digits which cannot be used to form numbers in base 10, like the Kharosthi numbers.

  Parameters:
    x array_like, with `StringDType`, `bytes_`, or `str_` dtype
    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray

      Output array of bools This is a scalar if x is a scalar.

  See also

  `str.isdigit`

  Examples

      >>> import numpy as np
      >>> a = np.array(['a', 'b', '0'])
      >>> np.strings.isdigit(a)
      array([False, False,  True])
      >>> a = np.array([['a', 'b', '0'], ['c', '1', '2']])
      >>> np.strings.isdigit(a)
      array([[False, False,  True], [False,  True,  True]])